<?php
$fromHome = isset($this->fromHome) ? $this->fromHome : false;
$expenseTypes = $this->expenseTypes();
$incomeTypes = $this->incomeTypes();
$posteExpenseBalances = $this->posteExpenseBalances();
$ht = $this->module()->getClientModuleConfiguration('budget', 'ht');

$groups = [];
if ($this->module()->isActive('keyword')) {
	$groups = $this->allowedKeywordGroups('project', false);
}

$indicators = [];
$transverse = false;
if ($this->module()->isActive('indicator')) {
	$transverse = $this->module()->getClientModuleConfiguration('indicator', 'transverse');
	if ($transverse) {
		$indicators = $this->entityManager()
			->getRepository('Indicator\Entity\Indicator')
			->findTransverse();
	}
}
?>

<?php if (!$fromHome) : ?>
	<ul class="breadcrumb">
		<li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
		<li><a href="<?= $this->url('project') ?>"><?= $this->translate('project_module_title') ?></a>
		</li>
		<li class="active"><?= $this->translate('project_nav_list') ?></li>
	</ul>

	<h1 class="page-title">
		<?= $this->icon('project') ?> <?= $this->translate('project_module_title') ?>
	</h1>

	<div class="row row-padding">
		<div class="col-xs-12">
		<?php endif; ?>
		<?php if (!$fromHome) : ?>
			<div class="panel" ng-controller="projectListController as self">
			<?php elseif (!$fromHome) : ?>
				<div ng-init="self.setParent(<?php echo isset($this->parent) ? $this->parent : null; ?>)" ng-controller="projectListController as self">
				<?php endif; ?>
				<table-builder class="table-builder" options="self.options" items="self.projects" ng-init="self.init(<?= $this->authStorage()
																															->getUser()
																															->getId() ?>, <?= $transverse ? 'true' : 'false' ?>);">
					<?php if (!$fromHome) : ?>
						<div class="panel-heading">
                            <span ng-if="self.view == 'list'"><?= $this->translate('project_nav_list_with_filters') ?> </span>
							<span ng-if="self.view == 'tree'"><?= $this->translate('project_nav_list_wo_count') ?></span>

							<div class="panel-heading-right project-panel-heading-right">
								<div class="panel-heading-actions" ng-show="self.view == 'list'" tooltip="<?= $this->translate('tooltip_switch_view_project_tree') ?>">
									<?= $this->icon('tree', 'fa-fw pointer', [
										'ng-click' => 'self.view = \'tree\'; treeTabLoaded = true',
									]) ?>
								</div>
								<div class="panel-heading-actions" ng-show="self.view == 'tree'" tooltip="<?= $this->translate('tooltip_switch_view_project_list') ?>">
									<?= $this->icon('list', 'fa-fw pointer', ['ng-click' => 'self.view = \'list\'']) ?>
								</div>
								<div ng-if="self.view == 'list'" class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_export_word') ?>">
									<?= $this->icon('word', 'fa-fw pointer', [
										'ng-click' => 'self.showExportModal(\'' . ucfirst(\Export\Entity\Export::TYPE_WORD) . '\')',
									]) ?>
								</div>
								<div ng-if="self.view == 'list'" class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_export_xls') ?>">
									<?= $this->icon('excel', 'fa-fw pointer', [
										'ng-click' => 'self.showExportModal(\'' . ucfirst(\Export\Entity\Export::TYPE_EXCEL) . '\')',
									]) ?>
								</div>
								<div ng-if="self.view == 'tree'" class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_export_xls') ?>">
									<?= $this->icon('excel', 'fa-fw pointer', [
										'ng-click' => 'self.exportExcel(\'' . ucfirst(\Export\Entity\Export::TYPE_EXCEL) . '\')',
									]) ?>
								</div>
								<div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_refresh') ?>">
									<?= $this->icon('refresh', 'fa-fw pointer', ['ng-click' => '__tb.loadData()']) ?>
								</div>
							</div>
						</div>

						<div class="panel-body">
						<?php endif; ?>
						<div ng-show="self.view == 'list'">
							<div class="row">
								<?php if (!$fromHome) : ?>
									<div class="col-sm-4">
										<div class="table-filters little-panel">
											<div class="title table-filters-header">
												<div class="input-group">
													<div class="input-group-addon pointer" data-toggle="collapse" href="#filters-collapsed-project">
														<?= $this->icon('filters', 'fa-fw') ?>
														<span class="caret"></span>
													</div>
													<input ng-if="self.parent == null" type="text" placeholder="<?= $this->translate('search', null, null, false) ?>" class="form-control" ng-model="self.fullText" id="full-text" on-enter="self.fullTextSearch()" />
													<div ng-if="self.parent == null" class="input-group-addon pointer" ng-click="self.fullTextSearch()">
														<?= $this->icon('search', 'fa-fw') ?>
													</div>
												</div>
											</div>

											<div id="filters-collapsed-project" class="body collapse">
												<?= $this->tableFilter('__tb.apiParams.search.data.filters', $this->projectFilters([])) ?>
												<div class="row">
													<div class="col-xs-6">
														<button class="btn" ng-click="self.resetfullTextSearch(); __tb.resetFilters(); __tb.loadData()">
															<?= $this->translate('table_filter_reset_button') ?>
														</button>
													</div>
													<div class="col-xs-6 text-right">
														<button class="btn" ng-click="self.resetfullTextSearch(); __tb.loadData()">
															<?= $this->icon('search', 'fa-fw') ?>
															<?= $this->translate('table_filter_button') ?>
														</button>
													</div>
												</div>
											</div>
										</div>
									</div>
								<?php endif; ?>
								<div class="col-sm-4">
									<table-builder-columns list="{{self.query && self.fromHome ? self.options.name : null}}" query="{{self.query && self.fromHome ? self.query.id : null}}"></table-builder-columns>
								</div>
								<?php if (!$fromHome) : ?>
									<div class="col-sm-4">
										<?php if ($this->acl()->isAllowed('application:e:query:r')) : ?>
											<table-builder-queries></table-builder-queries>
										<?php endif; ?>
									</div>
								<?php endif; ?>
							</div>
							<div class="row">
								<div class="col-xs-12">
									<div class="btn-group" ng-show="__tb.isAnItemSelected()">
										<button class="btn btn-xs" ng-click="__tb.removeFromList()" type="button" tooltip="<?= $this->translate('tooltip_remove_from_list') ?>">
											<?= $this->icon('eraser') ?>
										</button>
										<button class="btn btn-xs" ng-click="self.showMultipleEditModal()" type="button" tooltip="<?= $this->translate('tooltip_multiple_edit') ?>">
											<?= $this->icon('inline-edit') ?>
										</button>
									</div>
									<form name="projectForm">
										<table class="table table-bordered table-condensed table-hover" table-builder-table fixed-header>
											<thead>
												<tr>
													<th tb-column tb-name="selection" class="checkbox-column">
														<input type="checkbox" ng-model="__tb.selection" />
													</th>
													<th tb-column tb-name="id" tb-sortable="true" tb-toggle="true" class="fit-content">
														<?= $this->translate('project_field_id_short') ?>
													</th>
													<th tb-column tb-name="level" tb-sortable="true" tb-toggle="true" class="fit-content">
														<?= $this->translate('project_field_level') ?>
													</th>
													<th tb-column tb-name="publicationStatus" tb-sortable="true" tb-toggle="true" class="fit-content">
														<?= $this->translate('project_field_publicationStatus') ?>
													</th>
													<th tb-column tb-name="code" tb-sortable="true" tb-toggle="true">
														<?= $this->translate('project_field_code') ?>
													</th>
													<?php if (
														$this->module()->isActive('budget') &&
														$this->acl()->isAllowed('budget:e:budgetCode:r')
													) : ?>
														<th tb-column tb-name="budgetCodes" tb-sortable="true" tb-toggle="true" tb-hidden="true">
															<?= $this->translate('project_field_budgetCodes') ?>
														</th>
													<?php endif; ?>
													<th tb-column tb-name="name" tb-sortable="true" tb-toggle="true">
														<?= $this->translate('project_field_name') ?>
													</th>
													<th tb-column tb-name="manager.user.name" tb-sortable="false" tb-toggle="true">
														<?= $this->translate('project_field_managers') ?>
													</th>
													<th tb-column tb-name="validator.user.name" tb-sortable="false" tb-toggle="true">
														<?= $this->translate('project_field_validators') ?>
													</th>
													<th tb-column tb-name="ownership.name" tb-sortable="true" tb-toggle="true">
														<?= $this->translate('project_field_ownership') ?>
													</th>
													<th tb-column tb-name="members" tb-sortable="false" tb-toggle="true">
														<?= $this->translate('project_field_team_members') ?>
													</th>
													<th tb-column tb-name="parent.name" tb-sortable="true" tb-toggle="true">
														<?= $this->translate('project_field_parent') ?>
													</th>
                                                    <th tb-column tb-name="template.id" tb-sortable="true" tb-toggle="true" tb-hidden="true">
                                                        <?= $this->translate('project_field_template.id') ?>
                                                    </th>
													<th tb-column tb-name="template.name" tb-sortable="true" tb-toggle="true" tb-hidden="true">
														<?= $this->translate('project_field_template') ?>
													</th>
													<?php if ($this->module()->isActive('budget')) : ?>
														<th tb-column tb-name="virtual.caduciteStart" tb-sortable="true" tb-toggle="true" tb-hidden="true">
															<?= ucfirst($this->translate('poste_income_field_caduciteStart')) ?>
														</th>
														<th tb-column tb-name="virtual.caduciteEnd" tb-sortable="true" tb-toggle="true" tb-hidden="true">
															<?= ucfirst($this->translate('poste_income_field_caduciteEnd')) ?></th>
														<th tb-column tb-name="budgetStatus.name" tb-sortable="true" tb-toggle="true">
															<?= ucfirst($this->translate('project_field_budgetStatus')) ?>
														</th>
													<?php endif; ?>
													<?php foreach ($groups as $group) {
														echo '<th tb-column tb-name="keyword' .
															$group->getId() .
															'" tb-sortable="false" tb-toggle="true" tb-hidden="true">' .
															$group->getName() .
															'</th>';
													} ?>
													<?php foreach ($indicators as $indicator) {
														echo '<th tb-column tb-name="indicator' .
															$indicator->getId() .
															'" tb-sortable="false" tb-toggle="true" tb-hidden="true">' .
															$indicator->getName() .
															'</th>';
													} ?>

													<?php if ($this->module()->isActive('advancement')) : ?>
														<th tb-column tb-name="virtual.advancement" tb-sortable="true" tb-toggle="true">
															<?= ucfirst($this->translate('advancement_entity')) ?>
														</th>
													<?php endif; ?>
													
													<th tb-column tb-name="programmingDate" tb-sortable="true" tb-toggle="true" tb-hidden="true">
														<?= $this->translate('project_field_programmingDate') ?>
													</th>
													<th tb-column tb-name="plannedDateStart" tb-sortable="true" tb-toggle="true" tb-hidden="true">
														<?= $this->translate('project_field_plannedDateStart') ?>
													</th>
													<th tb-column tb-name="plannedDateEnd" tb-sortable="true" tb-toggle="true" tb-hidden="true">
														<?= $this->translate('project_field_plannedDateEnd') ?>
													</th>
													<th tb-column tb-name="realDateStart" tb-sortable="true" tb-toggle="true" tb-hidden="true">
														<?= $this->translate('project_field_realDateStart') ?>
													</th>
													<th tb-column tb-name="realDateEnd" tb-sortable="true" tb-toggle="true" tb-hidden="true">
														<?= $this->translate('project_field_realDateEnd') ?>
													</th>
													<?php if ($this->module()->isActive('field')) {
														$fieldsGroup = $this->allowedFieldGroups('Project\Entity\Project');
														foreach ($fieldsGroup as $group) {
															if ($group->isEnabled()) {
																foreach ($group->getFields() as $field) {
																	$required = isset($field->getMeta()['required'])
																		? 'class="' . ($field->getMeta()['required'] ? 'required' : '') . '"'
																		: '';
																	$tooltip = $field->getHelp() ? 'tooltip="' . $field->getHelp() . '" ' : '';
																	echo '<th tb-column tb-name="customField' .
																		$field->getId() .
																		'" ' .
																		$required .
																		'tb-sortable="false" tb-toggle="true" tb-hidden="true" ' .
																		$tooltip .
																		$required .
																		'>' .
																		$field->getName() .
																		'</th>';
																}
															}
														}
													} ?>
													<?php if ($this->module()->isActive('map')) : ?>
														<th tb-column tb-name="territories" tb-sortable="false" tb-toggle="true" tb-hidden="true">
															<?= ucfirst($this->translate('territory_entities')) ?>
														</th>
													<?php endif; ?>
													<?php if ($this->module()->isActive('budget')) : ?>
														<?php if (in_array(\Budget\Entity\Expense::TYPE_PAID, $expenseTypes)) : ?>
															<th tb-column tb-name="rateExpenseRealized" tb-sortable="true" tb-toggle="true" tb-hidden="true" tooltip="<?= $this->translate('project_formule_rateExpenseRealized') ?>" class="fit-content">
																<?= $this->translate('project_field_rateExpenseRealized') ?>
															</th>
														<?php endif; ?>
														<?php if (in_array(\Budget\Entity\Income::TYPE_PERCEIVED, $incomeTypes)) : ?>
															<th tb-column tb-name="rateIncomeRealized" tb-sortable="true" tb-toggle="true" tb-hidden="true" tooltip="<?= $this->translate('project_formule_rateIncomeRealized') ?>" class="fit-content">
																<?= $this->translate('project_field_rateIncomeRealized') ?>
															</th>
														<?php endif; ?>
													  <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_AE_BALANCE, $posteExpenseBalances)) : ?>
                                                            <th tb-column tb-name="amountArboAeBalance" tb-group="<?= ucfirst($this->translate('project_entity')) ?>" tb-toggle="true" tooltip="<?= $this->translate('poste_expense_formule_aeBalance') ?>">
                                                                 <?= $this->translate('poste_expense_balance_aeBalance') ?>
                                                            </th>
                                                        <?php endif; ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_AE_RATE_BALANCE, $posteExpenseBalances)) : ?>
                                                            <th tb-column tb-name="amountArboAeRateBalance" tb-group="<?= ucfirst($this->translate('project_entity')) ?>" tb-toggle="true" tooltip="<?= $this->translate('poste_expense_formule_aeRateBalance') ?>">
                                                                <?= $this->translate('poste_expense_balance_aeRateBalance') ?>
                                                            </th>
                                                        <?php endif; ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_BALANCE, $posteExpenseBalances)) : ?>
                                                            <th tb-column tb-name="amountArboBalance" tb-group="<?= ucfirst($this->translate('project_entity')) ?>" tb-toggle="true" tooltip="<?= $this->translate('poste_expense_formule_balance') ?>">
                                                                <?= $this->translate('poste_expense_balance_balance') ?>
                                                            </th>
                                                        <?php endif; ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_AE_COMMITTED_BALANCE, $posteExpenseBalances)) : ?>
                                                            <th tb-column tb-name="amountArboAeCommittedBalance" tb-group="<?= ucfirst($this->translate('project_entity')) ?>" tb-toggle="true" tooltip="<?= $this->translate('poste_expense_formule_aeCommittedBalance') ?>">
                                                                <?= $this->translate('poste_expense_balance_aeCommittedBalance') ?>
                                                            </th>
                                                        <?php endif; ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_TOTAL_PAID, $posteExpenseBalances)) : ?>
                                                            <th tb-column tb-name="amountArboTotalPaid" tb-group="<?= ucfirst($this->translate('project_entity')) ?>" tb-toggle="true" tooltip="<?= $this->translate('poste_expense_formule_totalPaid') ?>">
                                                                <?= $this->translate('poste_expense_balance_totalPaid') ?>
                                                            </th>
                                                        <?php endif; ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_COMMITTED_BALANCE, $posteExpenseBalances)) : ?>
                                                            <th tb-column tb-name="amountArboCommittedBalance" tb-group="<?= ucfirst($this->translate('project_entity')) ?>" tb-toggle="true" tooltip="<?= $this->translate('poste_expense_formule_committedBalance') ?>">
                                                                <?= $this->translate('poste_expense_balance_committedBalance') ?>
                                                            </th>
                                                        <?php endif; ?>
                                                        <?php if ($ht && in_array(\Budget\Entity\PosteExpense::BALANCE_COMMITTED_BALANCE, $posteExpenseBalances)) : ?>
                                                            <th tb-column tb-name="amountHTArboCommittedBalance" tb-group="<?= ucfirst($this->translate('project_entity')) ?>" tb-toggle="true" tooltip="<?= $this->translate('poste_expense_formule_committedBalance') ?>">
                                                                <?= $this->translate('poste_expense_balance_committedBalance_ht') ?>
                                                            </th>
                                                        <?php endif ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_PLANNED_COMMITTED_PAID_BALANCE, $posteExpenseBalances)) : ?>
                                                            <th tb-column tb-name="amountArboPlannedCommittedPaidBalance" tb-group="<?= ucfirst($this->translate('project_entity')) ?>" tb-toggle="true" tooltip="<?= $this->translate('poste_expense_formule_plannedCommittedPaidBalance') ?>">
                                                                <?= $this->translate('poste_expense_balance_plannedCommittedPaidBalance') ?>
                                                            </th>
                                                        <?php endif ?>
                                                        <?php if ($ht && in_array(\Budget\Entity\PosteExpense::BALANCE_PLANNED_COMMITTED_PAID_BALANCE, $posteExpenseBalances)) : ?>
                                                            <th tb-column tb-name="amountHTArboPlannedCommittedPaidBalance" tb-group="<?= ucfirst($this->translate('project_entity')) ?>" tb-toggle="true" tooltip="<?= $this->translate('poste_expense_formule_plannedCommittedPaidBalance') ?>">
                                                                <?= $this->translate('poste_expense_balance_plannedCommittedPaidBalance_ht') ?>
                                                            </th>
                                                        <?php endif ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_CP_BALANCE, $posteExpenseBalances)) : ?>
                                                            <th tb-column tb-name="amountArboCpBalance" tb-group="<?= ucfirst($this->translate('project_entity')) ?>" tb-toggle="true" tooltip="<?= $this->translate('poste_expense_formule_cpBalance') ?>">
                                                                <?= $this->translate('poste_expense_balance_cpBalance') ?>
                                                            </th>
                                                        <?php endif ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_AE_COMMITTED_CP_COMMITTED_BALANCE, $posteExpenseBalances)) : ?>
                                                            <th tb-column tb-name="amountArboAeCommittedCpCommittedBalance" tb-group="<?= ucfirst($this->translate('project_entity')) ?>" tb-toggle="true" tooltip="<?= $this->translate('poste_expense_formule_aeCommittedCpCommittedBalance') ?>">
                                                                <?= $this->translate('poste_expense_balance_aeCommittedCpCommittedBalance') ?>
                                                            </th>
                                                        <?php endif ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_CP_COMMITTED_AE_COMMITTED_RATE_BALANCE, $posteExpenseBalances)) : ?>
                                                            <th tb-column tb-name="amountArboCpCommittedAeCommittedRateBalance" tb-group="<?= ucfirst($this->translate('project_entity')) ?>" tb-toggle="true" tooltip="<?= $this->translate('poste_expense_formule_cpCommittedAeCommittedRateBalance') ?>">
                                                                <?= $this->translate('poste_expense_balance_cpCommittedAeCommittedRateBalance') ?>
                                                            </th>
                                                        <?php endif ?>
	                                                <?php endif; ?>

                                                    <th tb-column tb-name="createdAt" tb-sortable="true" tb-toggle="true" tb-hidden="true">
														<?= $this->translate('project_field_createdAt') ?></th>
													<th tb-column tb-name="updatedAt" tb-sortable="true" tb-toggle="true" tb-hidden="true">
														<?= $this->translate('project_field_updatedAt') ?>
													</th>
													<th tb-column tb-name="actions" class="actions-column"></th>
												</tr>
											</thead>
											<tbody>
												<tr ng-repeat="project in self.projects" ng-class="{editing: self.editedLine == project}">
													<td><input type="checkbox" ng-model="project.selected" /></td>
													<td>{{project.id}}</td>
													<td ng-switch="project.level">
														<?php
														$levels =
															null !== $this->clientPrivateConfiguration()->getModules()['project']['levels']
															? $this->clientPrivateConfiguration()->getModules()['project']['levels']
															: [];
														foreach ($levels as $i => $level) {
															echo '<span ng-switch-when="' . $i . '">';
															echo $level['name'];
															echo '</span>';
														}
														?>
													</td>
													<td class="editable">
														<span ng-show="self.editedLine !== project">
															<span class="badge project_publicationStatus_{{project.publicationStatus}}">
																{{'project_publicationStatus_' + project.publicationStatus |
													translate}}
															</span>
															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project">
															<select name="publicationStatus" class="badge project_publicationStatus_{{self.editedLineFields.publicationStatus}}" required ng-model="self.editedLineFields.publicationStatus">
																<?php foreach (\Project\Entity\Project::getPublicationStatutes() as $publicationStatus) {
																	$ngShow = '';
																	if ($this->acl()->onlyOwned('project:e:project:u')) {
																		if (
																			$publicationStatus == \Project\Entity\Project::PUBLICATION_STATUS_REJECTED ||
																			$publicationStatus == \Project\Entity\Project::PUBLICATION_STATUS_VALIDATED
																		) {
																			$ngShow = 'ng-show="self.isValidator(project)"';
																		} else {
																			$ngShow = 'ng-show="self.isManager(project)"';
																		}
																	}
																	echo '<option value="' .
																		$publicationStatus .
																		'" ' .
																		$ngShow .
																		'>' .
																		$this->translate('project_publicationStatus_' . $publicationStatus) .
																		'</option>';
																} ?>
															</select>
															<field-errors field="publicationStatus" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
													<td class="editable">
														<span ng-show="self.editedLine !== project">
															{{project.code}}
															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project">
															<input type="text" class="form-control input-sm" ng-model="self.editedLineFields.code" ng-disabled="self.locked(self.editedLine)" />
															<field-errors field="code" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
													<?php if (
														$this->module()->isActive('budget') &&
														$this->acl()->isAllowed('budget:e:budgetCode:r')
													) : ?>
														<td>
															<span class="comma-separated">
																<span ng-repeat="budgetCode in project.budgetCodes">
																	<!--
															-->{{ budgetCode.name }}
																	<!--
													-->
																</span>
															</span>
														</td>
													<?php endif; ?>
													<td class="editable">
														<span ng-show="self.editedLine !== project">
															<a ng-if="project._rights.read" href="<?= $this->url('project/form') ?>/{{project.id}}">
																{{project.name}}
															</a>
															<span ng-if="!project._rights.read">{{project.name}}</span>
															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project">
															<input type="text" class="form-control input-sm" ng-model="self.editedLineFields.name" required ng-disabled="self.locked(self.editedLine)" />
															<field-errors field="name" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
													<td class="editable">
														<span ng-show="self.editedLine !== project" class="comma-separated">
															<span ng-repeat="manager in project.members | filter : {role:'manager'} ">
																<!--<?php if ($this->acl()->isAllowed('user:e:user:r')) : ?>
															--><a href="<?= $this->url('user/form') ?>/{{manager.user.id}}">{{manager.user.name}}</a>
																<!-- <?php else : ?>
																	-->{{manager.user.name}}
																<!--
																<?php endif; ?>
												-->
															</span>
															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project">
															<user-select name="managers" ng-model="self.editedLineFields.managers" multiple="true" required="false" form="projectForm" ng-disabled="self.locked(self.editedLine)"></user-select>
															<field-errors field="managers" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
													<td class="editable">
														<span ng-show="self.editedLine !== project" class="comma-separated">
															<span ng-repeat="validator in project.members | filter : {role:'validator'}">
																<!--<?php if ($this->acl()->isAllowed('user:e:user:r')) : ?>
                                                    --><a href="<?= $this->url('user/form') ?>/{{validator.user.id}}">{{validator.user.name}}</a>
																<!--<?php else : ?>
                                                        -->{{validator.user.name}}
																<!--
                                                    <?php endif; ?>
                                            -->
															</span>
															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project">
															<user-select name="validators" ng-model="self.editedLineFields.validators" multiple="true" required="false" form="projectForm" ng-disabled="self.locked(self.editedLine)"></user-select>
															<field-errors field="validators" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
													<td class="editable">
														<span ng-show="self.editedLine !== project">
															<?php if ($this->acl()->isAllowed('directory:e:structure:r')) : ?>
																<a href="<?= $this->url('directory/structure/form') ?>/{{project.ownership.id}}">
																	{{project.ownership.name}}
																</a>
															<?php else : ?>
																{{project.ownership.name}}
															<?php endif; ?>
															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project && project.external">
															<structure-select required="project.external" name="ownership" form="projectForm" ng-model="self.editedLineFields.ownership" ng-disabled="self.locked(self.editedLine)"></structure-select>
															<field-errors field="ownership" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
													<td>
													<span ng-repeat="member in project.members | filter : {role:'member'}">
																<?php if ($this->acl()->isAllowed('user:e:user:r')) : ?>
                                                                  <a href="<?= $this->url('user/form') ?>/{{member.user.id}}">{{member.user.name}} <span ng-if="self.hasRole(member)"> ({{self.getRole(member)}})</span> {{ !$last ? ',': ''}}</a>
																  <?php endif; ?>
                                        
													</span>													
													</td>
													<td class="editable">
														<span ng-show="self.editedLine !== project">
															<?php if ($this->acl()->isAllowed('project:e:project:r')) : ?>
																<a href="<?= $this->url('project/form') ?>/{{project.parent.id}}">{{project.parent.name}}</a>
															<?php else : ?>
																{{project.parent.name}}
															<?php endif; ?>
															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project">
															<project-select required="false" name="parent" form="projectForm" ng-model="self.editedLineFields.parent" ng-disabled="self.locked(self.editedLine)" configuration="{
															service: {
																	apiParams: {
																			search: {
																					data: {
																							filters: {
																									id: {
																											op: 'neq',
																											val: self.project.id
																									}
																							}
																					}
																			}
																	}
															}
													}"></project-select>
															<field-errors field="parent" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
                                                    <td class="editable">
                                                        {{project.template.id}}
                                                    </td>
                                                    <td class="editable">
														<span ng-show="self.editedLine !== project">
															<?php if ($this->acl()->isAllowed('project:e:project:r')) : ?>
																<a href="<?= $this->url('project/template/form') ?>/{{project.template.id}}">
																	{{project.template.name}}
																</a>
															<?php else : ?>
																{{project.template.name}}
															<?php endif; ?>
															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project">
															<template-select required="false" name="template" form="projectForm" ng-model="self.editedLineFields.template" ng-disabled="self.locked(self.editedLine)"></template-select>
															<field-errors field="template" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
													<?php if ($this->module()->isActive('budget')) : ?>
														<td>{{project.caduciteStart | dateFormat : 'DD/MM/YYYY'}}</td>
														<td>{{project.caduciteEnd | dateFormat : 'DD/MM/YYYY'}}</td>
														<td class="editable">
															<span ng-show="self.editedLine !== project">
																{{project.budgetStatus.name}}
																<?= $this->icon('inline-edit', '', [
																	'ng-click' => 'self.editLine(project)',
																	'ng-if' => 'project._rights.update',
																]) ?>
															</span>
															<span ng-if="self.editedLine == project">
																<budget-status-select required="false" name="budgetStatus" form="projectForm" ng-model="self.editedLineFields.budgetStatus"></budget-status-select>
																<field-errors field="budgetStatus" errors="self.editedLineErrors"></field-errors>
															</span>
														</td>
													<?php endif; ?>
													<?php foreach ($groups as $group) {
														echo '<td class="editable">';
														echo '<span class="comma-separated" ng-show="self.editedLine !== project">';
														echo '<span ng-repeat="keyword in project.keywords[' .
															$group->getId() .
															']">{{keyword.name}}</span>';
														echo $this->icon('inline-edit', '', [
															'ng-click' => 'self.editLine(project)',
															'ng-if' => 'project._rights.update',
														]);
														echo '</span>';
														echo '<span ng-if="self.editedLine == project">';
														echo '<keyword-select ng-model="self.editedLineFields.keywords[' .
															$group->getId() .
															']" multiple="' .
															($group->isMultiple() ? 'true' : 'false') .
															'" configuration="{ service : { apiParams : { search: { data: { filters: { group : { op: \'eq\', val: ' .
															$group->getId() .
															' } } } } } } }" form="projectForm"></keyword-select>';
														echo '</span>';
														echo '</td>';
													} ?>
													<?php foreach ($indicators as $indicator) {
														echo '<td class="{{(project.measuresT[' .
															$indicator->getId() .
															'].icon ? \'text-center\': \'\')}}" style="background-color: {{(project.measuresT[' .
															$indicator->getId() .
															'].icon ? \'initial\': project.measuresT[' .
															$indicator->getId() .
															'].color)}}">';
														echo '
												<span ng-if="project.measuresT[' .
															$indicator->getId() .
															'].icon" style="color: {{project.measuresT[' .
															$indicator->getId() .
															'].color}}">
														<i class="fa fa-{{project.measuresT[' .
															$indicator->getId() .
															'].icon}} fa-fw" style="font-size: 20px"></i>
												</span>
												<span ng-if="!project.measuresT[' .
															$indicator->getId() .
															'].icon">
														{{project.measuresT[' .
															$indicator->getId() .
															'].text}}
												</span>
                      ';
														echo '</td>';
													} ?>
													
													<?php if ($this->module()->isActive('advancement')) : ?>
														<td>
															<div class="progress">
																<div class="progress-bar progress-done" ng-style="{ width: project.stackedAdvancement.done + '%'}" title="{{project.stackedAdvancement.done}}%">
																	<small>{{project.stackedAdvancement.done}}%</small>
																</div>
																<div class="progress-bar progress-late" ng-style="{ width: project.stackedAdvancement.late + '%'}" title="{{project.stackedAdvancement.late}}%">
																	<small>{{project.stackedAdvancement.late}}%</small>
																</div>
																<div class="progress-bar progress-upper-target" ng-style="{ width: project.stackedAdvancement.upperTarget + '%'}" title="{{project.stackedAdvancement.upperTarget}}%">
																	<small>{{project.stackedAdvancement.upperTarget}}%</small>
																</div>
																<div class="progress-bar progress-target" ng-style="{ width: project.stackedAdvancement.totalTarget + '%'}" title="{{project.stackedAdvancement.totalTarget}}%">
																	<small>{{project.stackedAdvancement.totalTarget}}%</small>
																</div>
															</div>
														</td>
													<?php endif; ?>

													<td class="editable">
														<span ng-show="self.editedLine !== project" class="comma-separated">
															{{project.programmingDate | dateFormat : 'DD/MM/YYYY'}}

															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project">
															<input type="text" input-mask="qdate" class="form-control input-sm" ng-model="self.editedLineFields.programmingDate" ng-disabled="self.locked(self.editedLine)" />
															<field-errors field="programmingDate" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
													<td class="editable">
														<span ng-show="self.editedLine !== project" class="comma-separated">
															{{project.plannedDateStart | dateFormat : 'DD/MM/YYYY'}}

															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project">
															<input type="text" input-mask="qdate" class="form-control input-sm" ng-model="self.editedLineFields.plannedDateStart" ng-disabled="self.locked(self.editedLine)" />
															<field-errors field="plannedDateStart" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
													<td class="editable">
														<span ng-show="self.editedLine !== project" class="comma-separated">
															{{project.plannedDateEnd | dateFormat : 'DD/MM/YYYY'}}

															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project">
															<input type="text" input-mask="qdate" class="form-control input-sm" ng-model="self.editedLineFields.plannedDateEnd" ng-disabled="self.locked(self.editedLine)" />
															<field-errors field="plannedDateEnd" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
													<td class="editable">
														<span ng-show="self.editedLine !== project" class="comma-separated">
															{{project.realDateStart | dateFormat : 'DD/MM/YYYY'}}

															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project">
															<input type="text" input-mask="qdate" class="form-control input-sm" ng-model="self.editedLineFields.realDateStart" ng-disabled="self.locked(self.editedLine)" />
															<field-errors field="realDateStart" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
													<td class="editable">
														<span ng-show="self.editedLine !== project" class="comma-separated">
															{{project.realDateEnd | dateFormat : 'DD/MM/YYYY'}}

															<?= $this->icon('inline-edit', '', [
																'ng-click' => 'self.editLine(project)',
																'ng-if' => 'project._rights.update',
															]) ?>
														</span>
														<span ng-if="self.editedLine == project">
															<input type="text" input-mask="qdate" class="form-control input-sm" ng-model="self.editedLineFields.realDateEnd" ng-disabled="self.locked(self.editedLine)" />
															<field-errors field="realDateEnd" errors="self.editedLineErrors"></field-errors>
														</span>
													</td>
													<?php if ($this->module()->isActive('field')) : ?>
														<?php foreach ($fieldsGroup as $group) : ?>
															<?php if ($group->isEnabled()) : ?>
																<?php foreach ($group->getFields() as $field) : ?>
																	<td class="editable">
																		<span ng-show="self.editedLine !== project">
																			{{project.customFields[<?= $field->getId() ?>]}}

																			<?= $this->icon('inline-edit', '', [
																				'ng-click' => 'self.editLine(project)',
																				'ng-if' => 'project._rights.update',
																			]) ?>
																		</span>
																		<span ng-if="self.editedLine === project">
																			<?php $required = isset($field->getMeta()['required'])
																				? 'ng-required="' . ($field->getMeta()['required'] ? 'true' : 'false') . '" '
																				: ''; ?>
																			<?php switch ($field->getType()):
																				case \Field\Entity\Field::TYPE_AMOUNT: ?>
																					<div class="input-group">
																						<input type="text" class="form-control input-sm" 
																							autocomplete="off" input-mask="decimal" ng-model="self.editedLineFields.customFields[<?= $field->getId() ?>]"
																							<?= $required ?> ng-disabled="self.locked(self.editedLine)" />
																						<div class="input-group-addon">
																							<i class="fa fa-euro"></i>
																						</div>
																					</div>
																					<?php break;
																				case \Field\Entity\Field::TYPE_TEXT: ?>
																					<input class="form-control input-sm" type="text" ng-model="self.editedLineFields.customFields[<?= $field->getId() ?>]" <?= $required ?>autocomplete="off" ng-disabled="self.locked(self.editedLine)" />
																				<?php break;
																				case \Field\Entity\Field::TYPE_SELECT: ?>
																					<select class="form-control input-sm" ng-model="self.editedLineFields.customFields[<?= $field->getId() ?>]" <?= $required ?>ng-disabled="self.locked(self.editedLine)">
																						<option></option>
																						<?php foreach ($field->getMeta()['values'] as $value) : ?>
																							<option value="<?= $value['v'] ?>" ng-selected="self.editedLineFields.customFields[<?= $field->getId() ?>] == '<?= $value['v'] ?>'">
																								<?= $value['v'] ?>
																							</option>
																						<?php endforeach; ?>
																					</select>
																				<?php break;
																				case \Field\Entity\Field::TYPE_DATE: ?>
																					<input type="text" class="form-control input-sm" <?= $required ?>autocomplete="off" input-date input-date-mask="date" id="datetimepicker-date" ng-model="self.editedLineFields.customFields[<?= $field->getId() ?>]" ng-disabled="self.locked(self.editedLine)" />
																				<?php break;
																				case \Field\Entity\Field::TYPE_DATETIME: ?>
																					<input type="text" class="form-control input-sm" <?= $required ?>autocomplete="off" input-date input-date-mask="datetime" id="datetimepicker-datetime" ng-model="self.editedLineFields.customFields[<?= $field->getId() ?>]" ng-disabled="self.locked(self.editedLine)" />
																				<?php break;
																				default: ?>
																					{{self.editedLineFields.customFields[<?= $field->getId() ?>]}}
																			<?php endswitch; ?>
																		</span>
																	</td>
																<?php endforeach; ?>
															<?php endif; ?>
														<?php endforeach; ?>
													<?php endif; ?>
													<?php if ($this->module()->isActive('map')) : ?>
														<td class="editable">
															<span class="comma-separated" ng-show="self.editedLine !== project">
																<span ng-repeat="territory in project.territories">
																	{{territory.name}}
																</span>
																<?= $this->icon('inline-edit', '', [
																	'ng-click' => 'self.editLine(project)',
																	'ng-if' => 'project._rights.update',
																]) ?>
															</span>
															<span ng-if="self.editedLine == project">
																<territory-select ng-model="self.editedLineFields.territories" multiple="true" form="projectForm"></territory-select>
															</span>
														</td>
													<?php endif; ?>
													<?php if ($this->module()->isActive('budget')) : ?>
														<?php if (in_array(\Budget\Entity\Expense::TYPE_PAID, $expenseTypes)) : ?>
															<td>{{ self.roundToTwo(project.rateExpenseRealized) }}%</td>
														<?php endif; ?>
														<?php if (in_array(\Budget\Entity\Income::TYPE_PERCEIVED, $incomeTypes)) : ?>
															<td>{{ self.roundToTwo(project.rateIncomeRealized) }}%</td>
														<?php endif; ?>
													    <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_AE_BALANCE, $posteExpenseBalances)) : ?>
                                                            <td>{{ self.arraySum(project.posteExpenses, 'amountArboAeBalance') }} €</td>
                                                        <?php endif; ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_AE_RATE_BALANCE, $posteExpenseBalances)) : ?>
                                                           <td>{{ self.calculateAe(project.posteExpenses)  }} %</td>
                                                        <?php endif; ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_BALANCE, $posteExpenseBalances)) : ?>
                                                            <td>{{ self.arraySum(project.posteExpenses, 'amountArboBalance') }} €</td>
                                                        <?php endif; ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_AE_COMMITTED_BALANCE, $posteExpenseBalances)) : ?>
                                                            <td>{{ self.arraySum(project.posteExpenses, 'amountArboAeCommittedBalance') }} €</td>
                                                        <?php endif; ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_TOTAL_PAID, $posteExpenseBalances)) : ?>
                                                            <td>{{ self.arraySum(project.posteExpenses, 'amountArboTotalPaid') }} €</td>
                                                        <?php endif; ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_COMMITTED_BALANCE, $posteExpenseBalances)) : ?>
                                                            <td>{{ self.arraySum(project.posteExpenses, 'amountArboCommittedBalance') }} €</td>
                                                        <?php endif; ?>
                                                        <?php if ($ht && in_array(\Budget\Entity\PosteExpense::BALANCE_COMMITTED_BALANCE, $posteExpenseBalances)) : ?>
                                                            <td>{{ self.arraySum(project.posteExpenses, 'amountHTArboCommittedBalance') }} €</td>
                                                        <?php endif ?>

                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_PLANNED_COMMITTED_PAID_BALANCE, $posteExpenseBalances)) : ?>
                                                            <td>{{ self.arraySum(project.posteExpenses, 'amountArboPlannedCommittedPaidBalance') }} €</td>
                                                        <?php endif ?>
                                                        <?php if ($ht && in_array(\Budget\Entity\PosteExpense::BALANCE_PLANNED_COMMITTED_PAID_BALANCE, $posteExpenseBalances)) : ?>
                                                            <td>{{ self.arraySum(project.posteExpenses, 'amountHTArboPlannedCommittedPaidBalance') }} €</td>
                                                        <?php endif ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_CP_BALANCE, $posteExpenseBalances)) : ?>
                                                            <td>{{ self.arraySum(project.posteExpenses, 'amountArboCpBalance') }} €</td>
                                                        <?php endif ?>
                                                   
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_AE_COMMITTED_CP_COMMITTED_BALANCE, $posteExpenseBalances)) : ?>
                                                            <td>{{ self.arraySum(project.posteExpenses, 'amountArboAeCommittedCpCommittedBalance') }} €</td>
                                                        <?php endif ?>
                                                        <?php if (in_array(\Budget\Entity\PosteExpense::BALANCE_CP_COMMITTED_AE_COMMITTED_RATE_BALANCE, $posteExpenseBalances)) : ?>
                                                            <td>{{ self.financialRealization(project.posteExpenses) }} %</td>
                                                        <?php endif ?>                                    
                                                    <?php endif; ?>

                                                    <td>{{project.createdAt | dateFormat : 'DD/MM/YYYY'}}</td>
													<td>{{project.updatedAt | dateFormat : 'DD/MM/YYYY'}}</td>
													<td>
														<div class="btn-group btn-group-actions" ng-if="self.editedLine !== project">
															<?php if ($this->acl()->isAllowed('project:e:project:r')) : ?>
																<a ng-if="project._rights.read" href="<?= $this->url('project/form') ?>/{{project.id}}" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_edit') ?>">
																	<?= $this->icon('edit') ?>
																</a>
															<?php endif; ?>

															<?php if ($this->acl()->isAllowed('project:e:project:c')) : ?>
																<a ng-if="project._rights.update" class="btn btn-xs btn-default" ng-click="self.duplicate(project)" tooltip="<?= $this->translate('tooltip_copy') ?>">
																	<?= $this->icon('duplicate') ?>
																</a>
															<?php endif; ?>

															<?php if ($this->acl()->isAllowed('project:e:project:d')) : ?>
																<a ng-if="project._rights.delete" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_delete') ?>" ng-click="self.deleteProject(project)">
																	<?= $this->icon('delete') ?>
																</a>
															<?php endif; ?>
														</div>
														<div class="btn-group btn-group-actions" ng-if="self.editedLine == project">
															<button class="btn btn-xs btn-default" ng-click="self.saveEditedLine(project)" type="submit" tooltip="<?= $this->translate('tooltip_save') ?>">
																<?= $this->icon('save') ?>
															</button>
															<button class="btn btn-xs btn-default" ng-click="self.editedLine = null" type="button" tooltip="<?= $this->translate('tooltip_cancel') ?>">
																<?= $this->icon('close') ?>
															</button>
														</div>
													</td>
												</tr>
											</tbody>
										</table>
									</form>
								</div>
							</div>
						</div>
						<?php if (!$fromHome) : ?>
							<div ng-if="treeTabLoaded" ng-show="self.view == 'tree'">
								<?= $this->partial('project/partial/tree', [
									'groups' => $groups,
									'exports' => $this->exports,
									'customExportsWord' => $this->customExportsWord,
									'customExportsExcel' => $this->customExportsExcel,
								]) ?>
							</div>
						</div>
					<?php endif; ?>
					<div class="modal" id="exportWordModal">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-header">
									<h4 class="modal-title"><?= $this->translate('project_exportWord_module_title') ?></h4>
								</div>
								<div class="modal-body">
									<div class="row">
										<div class="col-xs-12">
											<?php if (isset($this->exports) && !empty($this->exports)) : ?>
												<select class="form-control" ng-model="self.exportModel">
													<?php foreach ($this->exports as $export) : ?>
														<?php if (
															$export->getType() === \Export\Entity\Export::TYPE_WORD &&
															$export->getReference() === \Export\Entity\Export::EXPORT_REFERENCE_INITIAL
														) : ?>
															<option value="<?= $export->getId() ?>">
																<?= $export->getName() ?>
															</option>
														<?php endif; ?>
													<?php endforeach; ?>
												</select>
											<?php endif; ?>
										</div>
									</div>
								</div>
								<div class="modal-footer">
									<button class="btn btn-default" type="button" data-dismiss="modal">
										<?= $this->translate('close') ?>
									</button>

									<button class="btn btn-submit" ng-disabled="self.loading.export || !self.exportModel" ng-click="self.export('<?= ucfirst(\Export\Entity\Export::TYPE_WORD) ?>')">
										<?= $this->icon('loading', '', ['ng-if' => 'self.loading.export']) ?>
										<?= $this->translate('export') ?>
									</button>

									<form id="exportWordForm" action="<?= $this->url('project/export') ?>" method="POST" target="_blank">
										<input type="hidden" name="export" value="{{self.exportModel}}" />
										<input type="hidden" name="filters" value="{{__tb.apiParams.search.data.filters}}" />
										<input type="hidden" name="sort" value="{{__tb.apiParams.search.data.sort}}" />
										<input type="hidden" name="order" value="{{__tb.apiParams.search.data.order}}" />
										<input type="hidden" name="full" value="{{__tb.apiParams.search.data.full}}" />
										<input type="hidden" name="itemsRemoved" value="{{__tb.itemsRemoved}}" />
										<input type="hidden" name="itemsSelected" value="{{__tb.itemsSelected()}}" />
									</form>
								</div>
							</div>
						</div>
					</div>
					<div class="modal" id="exportExcelModal">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-header">
									<h4 class="modal-title"><?= $this->translate('project_exportExcel_module_title') ?></h4>
								</div>
								<div class="modal-body">
									<div class="row">
										<div class="col-xs-12">
											<?php if (isset($this->exports) && !empty($this->exports)) : ?>
												<select ng-model="self.exportModel" class="form-control">
													<option value="default">
														<?= $this->translate('project_export_default') ?>
													</option>
													<option value="budget">
														<?= $this->translate('project_export_budget'); ?>
													</option>
													<?php foreach ($this->exports as $export) : ?>
														<?php if ($export->getType() === \Export\Entity\Export::TYPE_EXCEL) : ?>
															<option value="<?= $export->getId() ?>">
																<?= $export->getName() ?>
															</option>
														<?php endif; ?>
													<?php endforeach; ?>
												</select>
												<div ng-if="'budget' === self.exportModel" style="margin-top: 10px;">
													<div>
														<label>
															<?= $this->translate('project_export_budget_keywords_family_choice') ?>
															<span class="text-danger">*</span>
														</label>
														<group-select ng-model="self.keywordsFamily"></group-select>
													</div>
													<div>
														<label>
															<?= $this->translate('project_export_budget_expense_type_choice') ?>
															<span class="text-danger">*</span>
														</label>
														<select class="form-control" ng-model="self.expenseType">
															<option></option>
															<?php foreach($expenseTypes as $expenseType) : ?>
																<option value="<?= $expenseType; ?>">
																	<?= $this->translate('expense_type_' . $expenseType) ?>
																</option>
															<?php endforeach; ?>
														</select>
													</div>
													<div>
														<label>
															<?= $this->translate('project_export_budget_income_type_choice') ?>
															<span class="text-danger">*</span>
														</label>
														<select class="form-control" ng-model="self.incomeType">
															<option></option>
															<?php foreach($incomeTypes as $incomeType) : ?>
																<option value="<?= $incomeType; ?>">
																	<?= $this->translate('income_type_' . $incomeType) ?>
																</option>
															<?php endforeach; ?>
														</select>
													</div>
													<div>
														<label><?= $this->translate('project_export_budget_financial_year_choice') ?></label>
														<input class="form-control" ng-model="self.financialYear" />
													</div>
													<div>
														<label><?= $this->translate('project_export_budget_nature_choice') ?></label>
														<nature-select ng-model="self.nature"></nature-select>
													</div>													
												</div>
											<?php endif; ?>
										</div>
									</div>

								</div>
								<div class="modal-footer">
									<button class="btn btn-default" type="button" data-dismiss="modal">
										<?= $this->translate('close') ?>
									</button>

									<button class="btn btn-submit" ng-disabled="self.loading.export || !self.exportModel" ng-click="self.export('<?= ucfirst(\Export\Entity\Export::TYPE_EXCEL) ?>')">
										<?= $this->icon('loading', '', ['ng-if' => 'self.loading.export']) ?>
										<?= $this->translate('export') ?>
									</button>

									<form id="exportExcelForm" action="<?= $this->url('project/export') ?>" method="POST" target="_blank">
										<input type="hidden" name="export" value="{{self.exportModel}}" />
										<input type="hidden" name="keywordsFamily" value="{{self.keywordsFamily}}" />
										<input type="hidden" name="expenseType" value="{{self.expenseType}}" />
										<input type="hidden" name="incomeType" value="{{self.incomeType}}" />
										<input type="hidden" name="financialYear" value="{{self.financialYear}}" />
										<input type="hidden" name="nature" value="{{self.nature}}" />
										<input type="hidden" name="filters" value="{{__tb.apiParams.search.data.filters}}" />
										<input type="hidden" name="sort" value="{{__tb.apiParams.search.data.sort}}" />
										<input type="hidden" name="order" value="{{__tb.apiParams.search.data.order}}" />
										<input type="hidden" name="full" value="{{__tb.apiParams.search.data.full}}" />
										<input type="hidden" name="itemsRemoved" value="{{__tb.itemsRemoved}}" />
										<input type="hidden" name="itemsSelected" value="{{__tb.itemsSelected()}}" />
									</form>
								</div>
							</div>
						</div>
					</div>
					<div class="modal" id="multipleEditModal">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-header">
									<h4 class="modal-title"><?= $this->translate('project_multipleEdit_title') ?></h4>
								</div>
								<div class="modal-body">
									<div class="row" style="margin-bottom: 10px;">
										<div class="col-xs-12">
											<div class="row">
												<div class="col-xs-6">
													<label for="multipleEdit.publicationStatus">
														<?= $this->translate('project_field_publicationStatus') ?>
													</label>
												</div>
												<div class="col-xs-6 text-right">
													<label for="multipleEdit.use.publicationStatus"><?= $this->translate('use') ?></label>
													<input type="checkbox" id="multipleEdit.use.publicationStatus" ng-model="self.multipleEdit.use.publicationStatus">
												</div>
											</div>
											<select id="multipleEdit.publicationStatus" class="form-control" name="publicationStatus" ng-model="self.multipleEdit.publicationStatus">
												<?php foreach (\Project\Entity\Project::getPublicationStatutes() as $publicationStatus) {
													echo '<option value="' .
														$publicationStatus .
														'">' .
														$this->translate('project_publicationStatus_' . $publicationStatus) .
														'</option>';
												} ?>
											</select>
											<div class="errors-group" ng-if="self.multipleEditErrors.publicationStatus">
												<ul>
													<li ng-repeat="(project, errors) in self.multipleEditErrors.publicationStatus">
														{{project}} :
														<span ng-repeat="error in errors">{{error}}<br></span>
													</li>
												</ul>
											</div>
										</div>
									</div>
									<div class="row" style="margin-bottom: 10px;" ng-repeat="(field, projects) in self.multipleEditErrors" ng-if="['publicationStatus'].indexOf(field) === -1">
										<div class="col-xs-12">
											<div class="errors-group">
												<label>{{field | ucfirst}}</label>
												<ul>
													<li ng-repeat="(project, errors) in projects">
														{{project}} :
														<span ng-repeat="error in errors">{{error}}<br></span>
													</li>
												</ul>
											</div>
										</div>
									</div>
								</div>
								<div class="modal-footer">
									<button class="btn btn-default" type="button" data-dismiss="modal">
										<?= $this->translate('close') ?>
									</button>

									<button class="btn btn-submit" ng-disabled="self.loading.multipleEdit" ng-click="self.doMultipleEdit()">
										<?= $this->icon('loading', '', ['ng-if' => 'self.loading.multipleEdit']) ?>
										<?= $this->translate('save') ?>
									</button>
								</div>
							</div>
						</div>
					</div>
				</table-builder>
				<?php if (!$fromHome) : ?>
				</div>
			<?php endif; ?>
			<?php if (!$fromHome) : ?>
			</div>
		</div>

	<?php
				$fabLinks = [];
				if ($this->acl()->isAllowed('project:e:project:c')) {
					$fabLinks[] = [
						'href' => $this->url('project/form'),
						'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('project_nav_form'),
					];
					$fabLinks[] = [
						'href' => $this->url('import', ['entity' => 'project']),
						'text' => $this->icon('import', 'fa-fw') . ' ' . $this->translate('project_nav_import'),
					];
				}
				echo $this->fabMenu($fabLinks);
			endif; ?>

	<?php
	$this->angular('js/src/keyword/directive/groupSelect.js');
	$this->angular('js/src/keyword/directive/keywordSelect.js');
	$this->angular('js/src/user/directive/userSelect.js');
	$this->angular('js/src/project/directive/projectSelect.js');
	$this->angular('js/src/project/directive/templateSelect.js');
	$this->angular('js/src/project/directive/projectUpdateHistory.js');
	$this->angular('js/src/directory/directive/structureSelect.js');
	$this->angular('js/src/map/directive/territorySelect.js');
	$this->angular('js/src/directory/service/structure.js');
	$this->angular('js/src/user/service/user.js');
	$this->angular('js/src/keyword/service/group.js');
	$this->angular('js/src/keyword/service/keyword.js');
	$this->angular('js/src/map/service/territory.js');
	$this->angular('js/src/project/service/project.js');
	$this->angular('js/src/project/service/template.js');
	$this->angular('js/src/project/service/project-update.js');
	$this->angular('js/src/application/query/service/query.js');
	$this->angular('js/src/project/controller/list.js');
	$this->angular('js/src/project/controller/tree.js');
	$this->angular('js/src/budget/directive/budgetStatusSelect.js');
	$this->angular('js/src/budget/directive/budgetCodeSelect.js');
	$this->angular('js/src/budget/directive/accountSelect.js');
	$this->angular('js/src/budget/directive/natureSelect.js');
	$this->angular('js/src/budget/directive/organizationSelect.js');
	$this->angular('js/src/budget/directive/managementUnitSelect.js');
	$this->angular('js/src/budget/directive/destinationSelect.js');
	$this->angular('js/src/budget/directive/envelopeSelect.js');
	$this->angular('js/src/budget/directive/posteExpenseSelect.js');
	$this->angular('js/src/budget/directive/posteIncomeSelect.js');
	$this->angular('js/src/budget/service/budgetStatus.js');
	$this->angular('js/src/budget/service/budgetCode.js');
	$this->angular('js/src/budget/service/account.js');
	$this->angular('js/src/budget/service/nature.js');
	$this->angular('js/src/budget/service/organization.js');
	$this->angular('js/src/budget/service/managementUnit.js');
	$this->angular('js/src/budget/service/destination.js');
	$this->angular('js/src/budget/service/posteExpense.js');
	$this->angular('js/src/budget/service/posteIncome.js');
	$this->angular('js/src/budget/service/expense.js');
	$this->angular('js/src/budget/service/income.js');
	$this->angular('js/src/budget/service/envelope.js');
